Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.bcpg.sig
Class IssuerKeyID

    java.lang.Object
      org.bouncycastle.bcpg.SignatureSubpacket
          org.bouncycastle.bcpg.sig.IssuerKeyID

    public class IssuerKeyID

extends SignatureSubpacket

packet giving signature creation time.

Field Summary

Fields inherited from class org.bouncycastle.bcpg.SignatureSubpacket
`data`

Constructor Summary
`IssuerKeyID(boolean critical, byte[] data)`
`IssuerKeyID(boolean critical, long keyID)`

Method Summary
`long` | `getKeyID()`
`protected static byte[]` | `keyIDToBytes(long keyId)`

Methods inherited from class org.bouncycastle.bcpg.SignatureSubpacket
`encode, getData, getType, isCritical`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IssuerKeyID

    public IssuerKeyID(boolean critical,
                       byte[] data)

### IssuerKeyID

    public IssuerKeyID(boolean critical,
                       long keyID)

Method Detail

### keyIDToBytes

    protected static byte[] keyIDToBytes(long keyId)

### getKeyID

    public long getKeyID()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD